errors

errors
 avatar
user_0223141589
plain_text
7 months ago
3.9 kB
13
Indexable
Never
2023-12-11 20:29:47,713 40 ERROR neutralized_db_1130 odoo.addons.zip_material_planning.tests.test_master_production_schedule: ERROR: TestMasterProductionSchedule.test_action_complete_with_nothing
Traceback (most recent call last):
  File "/opt/odoo/customized_addons/zip_material_planning/tests/test_master_production_schedule.py", line 1391, in test_action_complete_with_nothing
    action_notification = production_schedule.action_zip_complete()
  File "/opt/odoo/customized_addons/zip_material_planning/models/master_production_schedule.py", line 635, in action_zip_complete
    date_to = today.replace(day=1, month=today.month + 1) - datetime.timedelta(days=1)
ValueError: month must be in 1..12


2023-12-11 20:27:02,085 40 ERROR neutralized_db_1130 odoo.addons.zip_automated_test.tests.test_transportation_shipment: ERROR: TestZipTransportationShipment.test_updating_shipment_status_ready_for_pickup_button
Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/tools/cache.py", line 85, in lookup
    r = d[key]
  File "/opt/odoo/odoo/odoo/tools/func.py", line 71, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/tools/lru.py", line 34, in __getitem__
    a = self.d[obj]
KeyError: ('ir.model.access', <function IrModelAccess.check at 0x7fc2c24b4820>, 3359, False, 'shipment.shipment', 'create', True, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/customized_addons/zip_automated_test/tests/test_transportation_shipment.py", line 273, in test_updating_shipment_status_ready_for_pickup_button
    shipment = shipment_form.save()
  File "/opt/odoo/odoo/odoo/tests/common.py", line 2076, in save
    r = self._model.create(values)
  File "<decorator-gen-499>", line 2, in create
  File "/opt/odoo/odoo/odoo/api.py", line 391, in _model_create_single
    return create(self, arg)
  File "/opt/odoo/customized_addons/zip_flight_entity/models/shipment_shipment.py", line 86, in create
    res = super(ShipmentShipment, self.with_context(bypass_fe=True)).create(values)
  File "<decorator-gen-479>", line 2, in create
  File "/opt/odoo/odoo/odoo/api.py", line 391, in _model_create_single
    return create(self, arg)
  File "/opt/odoo/customized_addons/zip_transportation_management/models/shipment.py", line 879, in create
    rec = super(Shipment, self).create(vals)
  File "<decorator-gen-139>", line 2, in create
  File "/opt/odoo/odoo/odoo/api.py", line 412, in _model_create_multi
    return create(self, [arg])
  File "/opt/odoo/odoo/addons/mail/models/mail_thread.py", line 265, in create
    threads = super(MailThread, self).create(vals_list)
  File "<decorator-gen-71>", line 2, in create
  File "/opt/odoo/odoo/odoo/api.py", line 413, in _model_create_multi
    return create(self, arg)
  File "/opt/odoo/odoo/odoo/addons/base/models/ir_fields.py", line 613, in create
    recs = super().create(vals_list)
  File "<decorator-gen-13>", line 2, in create
  File "/opt/odoo/odoo/odoo/api.py", line 413, in _model_create_multi
    return create(self, arg)
  File "/opt/odoo/odoo/odoo/models.py", line 3993, in create
    self.check_access_rights('create')
  File "/opt/odoo/odoo/odoo/models.py", line 3538, in check_access_rights
    return self.env['ir.model.access'].check(self._name, operation, raise_exception)
  File "<decorator-gen-37>", line 2, in check
  File "/opt/odoo/odoo/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo/odoo/addons/base/models/ir_model.py", line 1820, in check
    raise AccessError(msg)
odoo.exceptions.AccessError: You are not allowed to create 'Shipment' (shipment.shipment) records.

This operation is allowed for the following groups:
	- Logistics/Admin
	- Supplier Portal Vendor

Contact your administrator to request access if necessary.
Leave a Comment